CSFML 3.0.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sfGlyph Struct Reference

sfGlyph describes a glyph (a visual character) More...

`#include <CSFML/Graphics/Glyph.h>`

## Public Attributes
float | advance
| Offset to move horizontically to the next character.
sfFloatRect | bounds
| Bounding rectangle of the glyph, in coordinates relative to the baseline.
sfIntRect | textureRect
| Texture coordinates of the glyph inside the font's image.

## Detailed Description

sfGlyph describes a glyph (a visual character)

Definition at line 37 of file Glyph.h.

## Member Data Documentation

## ◆ advance

float sfGlyph::advance

Offset to move horizontically to the next character.

Definition at line 39 of file Glyph.h.

## ◆ bounds

sfFloatRect sfGlyph::bounds

Bounding rectangle of the glyph, in coordinates relative to the baseline.

Definition at line 40 of file Glyph.h.

## ◆ textureRect

sfIntRect sfGlyph::textureRect

Texture coordinates of the glyph inside the font's image.

Definition at line 41 of file Glyph.h.

The documentation for this struct was generated from the following file:

- Glyph.h